Loading...
Searching...
No Matches
ANNbd_tree Class Reference

`#include <ANN.h>`

## Detailed Description

Definition at line 776 of file ANN.h.

Inheritance diagram for ANNbd_tree:
[legend]

## Public Member Functions

| ANNbd_tree (ANNpointArray pa, int n, int dd, int bs=1, ANNsplitRule split=ANN_KD_SUGGEST, ANNshrinkRule shrink=ANN_BD_SUGGEST)
| ANNbd_tree (int n, int dd, int bs=1)
| ANNbd_tree (std::istream &in)
Public Member Functions inherited from ANNkd_tree
| ANNkd_tree (ANNpointArray pa, int n, int dd, int bs=1, ANNsplitRule split=ANN_KD_SUGGEST)
| ANNkd_tree (int n=0, int dd=0, int bs=1)
| ANNkd_tree (std::istream &in)
int | annkFRSearch (ANNpoint q, ANNdist sqRad, int k, ANNidxArray nn_idx=NULL, ANNdistArray dd=NULL, double eps=0.0)
void | annkPriSearch (ANNpoint q, int k, ANNidxArray nn_idx, ANNdistArray dd, double eps=0.0)
void | annkSearch (ANNpoint q, int k, ANNidxArray nn_idx, ANNdistArray dd, double eps=0.0)
virtual void | Dump (ANNbool with_pts, std::ostream &out)
virtual void | getStats (ANNkdStats &st)
int | nPoints ()
virtual void | Print (ANNbool with_pts, std::ostream &out)
int | theDim ()
ANNpointArray | thePoints ()
| ~ANNkd_tree ()
Public Member Functions inherited from ANNpointSet
virtual | ~ANNpointSet ()

## Additional Inherited Members

Protected Member Functions inherited from ANNkd_tree
void | SkeletonTree (int n, int dd, int bs, ANNpointArray pa=NULL, ANNidxArray pi=NULL)
Protected Attributes inherited from ANNkd_tree
int | bkt_size
ANNpoint | bnd_box_hi
ANNpoint | bnd_box_lo
int | dim
int | n_pts
ANNidxArray | pidx
ANNpointArray | pts
ANNkd_ptr | root

## Constructor & Destructor Documentation

## ANNbd_tree() [1/3]

ANNbd_tree::ANNbd_tree | ( | int | n,
|  | int | dd,
|  | int | bs = 1 )

inline

Definition at line 778 of file ANN.h.

## ANNbd_tree() [2/3]

ANNbd_tree::ANNbd_tree | ( | ANNpointArray | pa,
|  | int | n,
|  | int | dd,
|  | int | bs = 1,
|  | ANNsplitRule | split = ANN_KD_SUGGEST,
|  | ANNshrinkRule | shrink = ANN_BD_SUGGEST )

## ANNbd_tree() [3/3]

ANNbd_tree::ANNbd_tree | ( | std::istream & | in | ) |

Generated on 1768596610 for elastix by 1.15.0 |